# import ContentFactories
from Products.CMFCore import utils
import CMFRevisionManager
from Products.RevisionManager.Permissions import RMAdd
from config import *
from Products.CMFCore.DirectoryView import registerDirectory

factory_type_information = (
    (CMFRevisionManager.factory_type_information)
    )

contentClasses = (CMFRevisionManager.CMFRevisionManager, )
contentConstructors = (CMFRevisionManager.addCMFRevisionManager,)
registerDirectory(SKINS_DIR, GLOBALS)

###############################
# pack CMF
###############################
from Products.CMFCore.PortalContent import PortalContent
from Products.RevisionObjects.Revisioner import Revisioner

for name in Revisioner.names:
    setattr(PortalContent, name, getattr(Revisioner, name))

def initialize(context):
    utils.ContentInit( 'CMF Revision Manager'
                     , content_types=contentClasses
                     , permission=RMAdd
                     , extra_constructors=contentConstructors
                     , fti=factory_type_information
                     ).initialize( context )
