from Products.Archetypes.Extensions.utils import installTypes, install_subskin
from Products.CMFRevisionManager.config import *
from Products.CMFRevisionManager import CMFRevisionManager
from Products.CMFCore.TypesTool import ContentFactoryMetadata

from StringIO import StringIO
from Products.CMFCore.utils import getToolByName


def install(self):
    """ Install """

    out = StringIO()

    install_subskin(self, out, GLOBALS)

    print >> out, "skin installed"

    actions_tool = getToolByName(self, 'portal_actions')
    try:
        actions_tool.addAction('versioning',
                               'Versioning',
                               'string:$object_url/content_versioning',
                               "python: hasattr(object, 'RevisionManager') and object.getPortalTypeName() in object.RevisionManager.getSupportedFactoryMetaTypes()",
                               'Modify portal content',
                               'object')
    except:
        pass

    types_tool = getToolByName(self, 'portal_types')
    for t in CMFRevisionManager.factory_type_information:
        if t['id'] not in types_tool.objectIds():
            cfm = apply(ContentFactoryMetadata, (), t)
            types_tool._setObject(t['id'], cfm)
            out.write('Registered %s with the types tool\n' % t['id'])
        else:
            out.write('Skipping "%s" - already in types tool\n' % t['id'])

    print >> out, "Successfully installed %s." % PROJECTNAME
    return out.getvalue()

